<?php

include_once('connection.php');

// get all `genres` with the associated `records`
$query = "SELECT genres.name, records.id AS record_id, artist, title 
          FROM genres
          JOIN records ON records.genre_id = genres.id";

try {
	$genres = $conn->prepare($query);
	$genres->execute();
	$result = $genres->fetchAll(PDO::FETCH_GROUP);      // group by `genre`
} catch(PDOException $error) {
  	http_response_code(400);
	echo json_encode([
		"error" => 400,
		"message" => $error->getMessage()
	]);
}

echo json_encode($result);
